{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "nicothekid:elder_golem",
      "textures": {
        "default": "textures/entity/nicos_more_dungeon/elder_golem/nicothekid_elder_golem"
      },
      "spawn_egg": {
        "base_color": "#444449",
        "overlay_color": "#5be3e8"
      },
      "geometry": {
        "default": "geometry.entity.nicothekid_elder_golem"
      },
      "materials": {
        "default": "elder_golem",
        "invisible": "elder_golem_invisible"
      },
      "render_controllers": [
        "controller.render.nicothekid_elder_golem"
      ],
      "animations": {
        "attack_melee": "animation.nicothekid_elder_golem.attack_melee",
        "look_at_target": "animation.nicothekid_elder_golem.look_at_target",
        "walking": "animation.nicothekid_elder_golem.walking",
        "controller_movement": "controller.animation.nicothekid_elder_golem.movement"
      },
      "scripts": {
				"animate": [
					"controller_movement",
					{
						"look_at_target": 0.8
					}
				]
			}
    }
  }
}